.mainscreen-wrap {
  position: relative;
  padding-top: 8px;
}

.mainscreen {
  overflow: hidden;
  background-color: #ccc;
}

.mainscreen .container {
  padding-top: 168px;
  padding-bottom: 365px;
}

.mainscreen__bg5 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.mainscreen__bg5 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.mainscreen__bg6 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.mainscreen__bg6 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.mainscreen__bg1 {
  position: absolute;
  top: 70px;
  left: -182px;
  width: 164px;
}

.mainscreen__bg2 {
  position: absolute;
  bottom: 0;
  left: -393px;
  width: 382px;
}

.mainscreen__bg3 {
  position: absolute;
  left: 50%;
  transform: translateX(-20px);
  bottom: 336px;
  width: 242px;
}

.mainscreen__bg4 {
  position: absolute;
  right: -482px;
  bottom: 336px;
  width: 690px;
}

.mainscreen__container {
  max-width: 1335px;
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.mainscreen__wrap1 {
  max-width: 575px;
  width: 100%;
}

.mainscreen__logo-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 52px;
}

.mainscreen__logo {
  max-width: 478px;
  width: 100%;
}

.mainscreen__info {
  position: relative;
  max-width: 63px;
  width: 100%;
}

.mainscreen__info-btn {
  max-width: 63px;
  width: 100%;
  backface-visibility: hidden;
  transition: transform 0.3s;
}

.mainscreen__info-img {
  position: absolute;
  top: -22px;
  right: -168px;
  width: 151px;
}

.mainscreen__title-wrap {
  position: relative;
  margin-bottom: 20px;
}

.mainscreen__title {
  font-weight: 600;
  font-size: 108px;
  line-height: 1;
  letter-spacing: -0.02em;
}

.mainscreen__title-img {
  position: absolute;
  bottom: 13px;
  right: -65px;
  width: 100px;
}

.mainscreen__subtitle {
  font-size: 18px;
  margin-bottom: 48px;
}

.mainscreen__btn-wrap {
  max-width: 471px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.mainscreen__wrap2 {
  max-width: 519px;
  width: 100%;
  margin-top: 17px;
}

.mainscreen__img {
  position: relative;
  max-width: 519px;
  width: 100%;
}

.mainscreen__img-arrow {
  position: absolute;
  bottom: 65px;
  left: -198px;
  width: 161px;
}

@media (max-width: 1300px) {
  .mainscreen__wrap2 {
    max-width: 495px;
  }
}

@media (max-width: 1200px) {
  .mainscreen .container {
    padding-top: 111px;
    padding-bottom: 0;
  }

  .mainscreen__bg1 {
    top: 48px;
    left: -4px;
    width: 142px;
  }

  .mainscreen__bg3 {
    width: 180px;
    transform: none;
    left: 20px;
    bottom: 0;
  }

  .mainscreen__bg4 {
    right: -270px;
    width: 500px;
    bottom: 0;
  }

  .mainscreen__container {
    flex-direction: column;
  }

  .mainscreen__wrap1 {
    margin-bottom: 45px;
  }

  .mainscreen__logo-wrap {
    max-width: 550px;
    width: 100%;
  }

  .mainscreen__logo {
    max-width: 440px;
  }

  .mainscreen__wrap2 {
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
    transform: translateX(40px);
  }
}

@media (max-width: 1200px) and (max-width: 750px) {
  .mainscreen__wrap2 {
    max-width: 166px;
    margin-right: 35px;
    transform: none;
  }
}

@media (max-width: 750px) {
  .mainscreen__bg2 {
    left: -55px;
    bottom: -111px;
    width: 142px;
  }

  .mainscreen__bg3 {
    display: none;
  }

  .mainscreen__bg4 {
    right: -70px;
    width: 400px;
  }

  .mainscreen__logo-wrap {
    gap: 12px;
    justify-content: flex-start;
    margin-bottom: 33px;
  }

  .mainscreen__logo {
    max-width: 194px;
  }

  .mainscreen__info {
    max-width: 32px;
  }

  .mainscreen__info-btn {
    max-width: 32px;
  }

  .mainscreen__info-img {
    top: -2px;
    right: -106px;
    width: 91px;
  }

  .mainscreen__title-wrap {
    margin-bottom: 8px;
  }

  .mainscreen__title {
    padding-right: 95px;
    font-size: 48px;
  }

  .mainscreen__title-img {
    width: 84px;
    bottom: 7px;
    right: 0;
  }

  .mainscreen__subtitle {
    font-size: 14px;
    line-height: 1.4;
    margin-bottom: 24px;
  }

  .mainscreen__btn-wrap {
    gap: 8px;
  }

  .mainscreen__btn-wrap .btn2 {
    display: block;
    width: 100%;
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    padding: 14px 10px;
  }

  .mainscreen__btn-wrap .btn3 {
    display: block;
    width: 100%;
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    padding: 13px 10px;
  }

  .mainscreen__img-arrow {
    left: -109px;
    bottom: 34px;
    width: 97px;
  }
}

@media (hover: hover) {
  .mainscreen__info:hover .mainscreen__info-btn {
    transform: scale(1.05);
  }
}